(function () {
  'use strict';

  angular
    .module('starter')
    .controller('BookCtrl', MainCtrl);

  function MainCtrl($scope, $httpFactory, $ionicLoading, $state, localStorageService, RouteData, $rootScope) {
    {
      initBookList();
      $scope.initBookList = initBookList;
      $scope.chooseBook = chooseBook;
      $scope.toExp = toExp;
    }

    function initBookList() {
      $scope.bookList = _app.bookList;
      // $httpFactory.book.bookList(-1).then(function(res){
      //   if(res.status == -1){
      //     $scope.networkError = true;         //断网提示
      //   }else{
      //     $scope.networkError = false;
      //     if(res.data.result == 0){
      //       $scope.bookList = res.data.object;
      //       localStorageService.set('allBook',$scope.bookList);
      //       for(var i=0;i<$scope.bookList.length;i++){
      //         localStorageService.set('exp_'+$scope.bookList[i].id,$scope.bookList[i].expList);
      //       }
      //     }
      //   }
      // });
    }

    function chooseBook(item) {
      $rootScope.myBook = item;
      toExp();
    }

    function toExp() {
      if (!$rootScope.myBook) {
        $ionicLoading.show({template: '请选择一本课本'});
        return;
      }
      localStorageService.set('myBook', $rootScope.myBook);
      $state.go('menu.main.exp');
    }
  }
})();
