(function () {
  'use strict';

  angular
    .module('starter')
    .controller('MainCtrl', MainCtrl);

  function MainCtrl($scope, $ionicTabsDelegate, $state, $location, $rootScope, $cordovaAppVersion, $httpFactory) {
    {
      $scope.point = 'exp';
      $scope.toExp = toExp;
      $scope.toVideo = toVideo;
      $scope.toPractice = toPractice;
      $scope.toMe = toMe;
      // initSysOpen();        // 初始化系统开关设置
    }

    function initSysOpen() {
      // $rootScope.isIos = _app.isIos;
      $rootScope.iosPayOpen = true;     //默认显示支付
      if (!!_app.isIos) {
        $rootScope.iosPayOpen = false;    //ios时默认关闭
        $cordovaAppVersion.getVersionNumber().then(function (response) {
          var key = 'iosPayOpen_'+_config.platform.code+':' + response;
          $httpFactory.sys.sysConfig(key).then(function (res) {
            if (res.data.result == 0) {
              $rootScope.iosPayOpen = res.data.object[0].value.match('true') ? true : false;
              !$rootScope.iosPayOpen && $('a[icon-on=ws_video_on]').css("display", "none");
            }
          });
        });
      }
    }

    function toExp() {
      // $scope.expTitle = '课件';
      $ionicTabsDelegate.select(0);
            $state.go('menu.main.exp');
      // $state.go('main.selfCenterdemo');

    }

    function toVideo() {
      // $scope.videoTitle = '直播';
      $ionicTabsDelegate.select(1);
      if ($location.path().indexOf("videoLive") >= 0) {
        return;
      }
      $state.go('menu.main.videoLive');
    }

    function toPractice() {
      // $scope.practiceTitle = '练习';
      $ionicTabsDelegate.select(2);
      $state.go('menu.main.practice');
    }

    function toMe() {
      // $scope.myTitle = '我';
      $ionicTabsDelegate.select(3);
            $state.go('menu.main.selfCenter');
    }

  }
})();
