(function(){
  'use strict';

  angular
    .module('starter')
    .controller('QuestionFinishCtrl',MainCtrl);

  function MainCtrl($scope,RouteData, $state,$ionicHistory){
    {
      console.log('into QuestionFinishCtrl');
      /***** Controller ******/
      $scope.questions = RouteData.questionList;
      $scope.questionsWrong = [];
      $scope.myCheck = true;
      $scope.level = null;
      $scope.myHeight = window.innerHeight;
      $scope.myMargin = null;
      $scope.myPadding = null;
      if(window.innerHeight<1000){
        $scope.myMargin = '15%';
        $scope.myPadding = '2%';
      }else{
        $scope.myMargin = '10%';
      }

      getQuestionsWrong();// 获取错题
      $scope.analysisOne = analysis;// 单提解析
      $scope.analysisAll = analysis;// 全部解析
      $scope.practiceAgain = practiceAgain;//再来一次练习
      $scope.myWrongQuestion = myWrongQuestion;//错题集
      $scope.navBack = navBack;// 导航-返回
    }

    /**动画控制**/
    var totalNum = $scope.questions.length;
    var trueNum = 0;
    for(var i=0;i<totalNum;i++){
      if($scope.questions[i].isCorrect==true){
        trueNum+=1;
      }
    }
    $scope.level = trueNum;
    for(var j=1;j<=trueNum;j++){
      if(j==1){setTimeout(start1,300);} //1000是指延时1000毫秒执行。
      if(j==2){setTimeout(start2,600);}//1000是指延时1000毫秒执行。
      if(j==3){setTimeout(start3,900);} //1000是指延时1000毫秒执行。
      if(j==4){setTimeout(start4,1200);}//1000是指延时1000毫秒执行。
      if(j==5){setTimeout(start5,1500);} //1000是指延时1000毫秒执行。
    }
    setTimeout(level,trueNum*300+300); //1000是指延时1000毫秒执行。
    setTimeout(showResult,trueNum*300+800); //2000是指延时2000毫秒执行。

    /***** function ******/
    function getQuestionsWrong() {
      for (var i in $scope.questions) {
        if ($scope.questions[i].isCorrect == false) {
          $scope.questionsWrong.push($scope.questions[i]);
        }
      }
    }

    function start1() {
      $("#animation-start1").each(function() {
        void  $(this).removeClass("slideDown");
      }),
        $("#animation-start1").each(function() {
          function addclass() {
            o_this.addClass(a)
          }
          var a = 'slideDown',
            delay = $(this).data("delay"),
            o_this = $(this);
          void 0 != a && void 0 != delay && addclass(a);
        })
    }

    function start2() {
      $("#animation-start2").each(function() {
        void  $(this).removeClass("slideDown");
      }),
        $("#animation-start2").each(function() {
          function addclass() {
            o_this.addClass(a)
          }
          var a = 'slideDown',
            delay = $(this).data("delay"),
            o_this = $(this);
          void 0 != a && void 0 != delay && addclass(a);
        })
    }

    function start3() {
      $("#animation-start3").each(function() {
        void  $(this).removeClass("slideDown");
      }),
        $("#animation-start3").each(function() {
          function addclass() {
            o_this.addClass(a)
          }
          var a = 'slideDown',
            delay = $(this).data("delay"),
            o_this = $(this);
          void 0 != a && void 0 != delay && addclass(a);
        })
    }

    function start4() {
      $("#animation-start4").each(function() {
        void  $(this).removeClass("slideDown");
      }),
        $("#animation-start4").each(function() {
          function addclass() {
            o_this.addClass(a)
          }
          var a = 'slideDown',
            delay = $(this).data("delay"),
            o_this = $(this);
          void 0 != a && void 0 != delay && addclass(a);
        })
    }

    function start5() {
      $("#animation-start5").each(function() {
        void  $(this).removeClass("slideDown");
      }),
        $("#animation-start5").each(function() {
          function addclass() {
            o_this.addClass(a)
          }
          var a = 'slideDown',
            delay = $(this).data("delay"),
            o_this = $(this);
          void 0 != a && void 0 != delay && addclass(a);
        })
    }

    function level() {
      $(".level").each(function() {
        void  $(this).removeClass("expandOpen");
      }),
        $(".level").each(function() {
          function addclass() {
            o_this.addClass(a)
          }
          var a = 'expandOpen',
            delay = $(this).data("delay"),
            o_this = $(this);
          void 0 != a && void 0 != delay && addclass(a);
        })
    }

    function showResult(){
      $scope.myCheck = false;
      $scope.$apply();
    }

    // 解析-new
    function analysis(index) {
      analysis_handle(index);
    }

    function analysis_handle(index) {
      // (index||index==0) && (RouteData.analysisList = [RouteData.questionList[index]]);
      RouteData.analysisList = RouteData.questionList;
      RouteData.analysisIndex = index;
      $state.go('menu.questionAnalysis');
    }

    // 导航-返回
    function navBack() {
      //$state.go($stateParams.sourceState, $stateParams.sourceParams);// 哪里来,回那里去
      $state.go('menu.main.practice');// 哪里来,回那里去
      // $ionicHistory.goBack(-3);
    }

    //再来一次练习
    function practiceAgain(){
      $state.go('menu.question');
    }

    //错题集
    function myWrongQuestion(){
      $state.go('menu.myWrongQuestion');
    }
  }
})();
