(function () {
    'use strict';

    angular
        .module('starter')
        .config(routeConfig);

    function routeConfig($stateProvider) {
        $stateProvider
        /*消息 begin */
            .state('menu.invitation', {
                url: '/invitation',
                cache: false,
                views: {
                    'bookContent': {
                        templateUrl: 'app/selfCenter/invitation/invitation.html',
                        controller: 'InvitationCtrl'
                    }
                }
            })
            .state('menu.lotteryRecord', {
                url: '/lotteryRecord',
                cache: false,
                views: {
                    'bookContent': {
                        templateUrl: 'app/selfCenter/lotteryRecord/lotteryRecord.html',
                        controller: 'LotteryRecordCtrl'
                    }
                }

            })
    }
})();
