/**
 * Created by Administrator on 2016/1/8.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('InviteCodeCtrl', MainController)

  /** 邀请码 */
  function MainController($scope, $ionicPopup, $ionicLoading, $httpFactory,$ionicHistory) {
    console.log('into InviteCodeCtrl');

    // 初始化Controller
    {
      $scope.data = {};
      $scope.confirm = confirm;
    }

    // 确定
    function confirm() {

      var inviteCode = $scope.data.inviteCode;

      if(!inviteCode){
          $ionicLoading.show({template:'输入好友邀请码不能为空'});
        return;
      }
      if(!RegExp("^[0-9a-zA-Z]{4}$").test(inviteCode)){
          $ionicLoading.show({template:'邀请码格式错误'});
          return;
      }

      var content = {};
      content.mobile = $scope.data.mobile;
      content.randomCode = $scope.data.randomCode;

        $httpFactory.user.bindingInviteCode(inviteCode).then(function (res) {
        $ionicPopup.alert({
          title: '提示',
          template: res.data.message,
          okText: "确定"
        }).then(function (result) {
          if (res.data.result == 0) {
            window.history.back();
          }
        });
      })

      //BindPhoneFactory.update(userId, token, mobile, randomCode)
      //  .then(function (result) {
      //    console.log(result);
      //
      //    $ionicPopup.alert({
      //      title: '提示',
      //      template: result.data.message,
      //      okText: "确定"
      //    }).then(function (res) {
      //      if (result.data.result == 0) {
      //        var currentUser = localStorageService.get("currentUser");
      //        currentUser.mobile = mobile;
      //        UserService.setCurrentUser(currentUser);
      //        window.history.back();
      //      }
      //    });
      //  })
    }

      // 导航-返回
      $scope.navBack = function () {
          //$state.go($stateParams.sourceState, $stateParams.sourceParams);// 哪里来,回那里去
          // $state.go('main.practice');// 哪里来,回那里去
          $ionicHistory.goBack();
      }
  }

})();
