(function () {
    'use strict';

    angular
        .module('starter')
        .controller('MyliveVideoCtrl', MyliveVideoCtrl);

    function MyliveVideoCtrl($scope,$httpFactory) {

        $scope.navChoose=true;//真为直播，假为回放

        $scope.changeVideo=changeVideo;
        $scope.getLiveList=getLiveList;

        var currentUser = window._appv.currentUser;
        var type=1;//1 为直播 ，2 为回放

        var havedChoose=true;

        function getLiveList(type){
            $httpFactory.live.myList(currentUser.userId,type,currentUser.token).then(function(res){
                console.log(res);
                if(0 === res.data.result){
                    if(1===type){
                        $scope.liveList = res.data.object;
                    }else{
                        $scope.playBackList = res.data.object;
                    }
                }
            })
        }

        function changeVideo(chooseType){

            if(havedChoose ===chooseType){
                getLiveList(type);
            }else{
                getLiveList(type+1);
                $scope.navChoose=chooseType;
                havedChoose =chooseType;
            }

        }
    }
})
();
