/**
 * Created by Administrator on 2016/1/8.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('OpenQQCtrl', MyMessageCtrl)

  /** 一键加群 */
  function MyMessageCtrl($scope, $httpFactory, $ionicHistory, localStorageService, $ionicPopup, $ionicLoading) {
    console.log('into OpenQQCtrl');

    /***** Controller ******/
    {
      initData();

      $scope.navBack = function () {
        $ionicHistory.goBack();
      }
    }

    /***** function ******/
    function initData() {

      var joinQQGroupJson;// = JSON.parse('{"android":{"key":"y-stNxKaFTfKNeDKRXdk9FXOKEpG22PG"},"ios":{"uid":"498644453","key":"0160929211e558ce77c3c044c510920d80c91088c1d047e66b27f57b40e8ba66"}}');
      $httpFactory.sys.sysConfig('joinQQGroup_area').then(function (response) {
        if (response.data.result == 0) {
          $scope.joinQQGroups = JSON.parse(response.data.object[0].value);
          $scope.openQQ = openQQ;
        }
      });

      var joinQQs_demo = [
        {
          name: '台州',
          android: {key: 'rDor3FeGW7-WGxDt3-T7UFNSaCEfGQ7G'},
          ios: {key: '983e2be38a6556bc08387c132fe51fd1ec2ba58f926fce55c502da80a67bca33', uin: '430010980'},
        },
        {
          name: '杭州',
          android: {key: 'vKReBsUvEvCiASQCr7eWS3uDVtHMVSee'},
          ios: {key: 'f66c333b81e9aef4be3d3896051130f23c3767ec3c2579ff4cb9050a1a266d7f', uin: '468498160'},
        },
        {
          name: '宁波',
          android: {key: 'nrf8bRzOk-RoJdWiy6kmzOjR7wJs6CDH'},
          ios: {key: 'c2ba171187e1fe9e74c3594a2a262b224d1b14ce44e0c5bd02e44f1d4cf141da', uin: '288632895'},
        },
        {
          name: '温州',
          android: {key: 'FD0_afk3PZG_aRlf4GHLseHi5OwZjgYK'},
          ios: {key: '5c022bbc2084875cecd62b9b746afb53fbd606b459fe720c804e582e37423594', uin: '435416692'},
        },
        {
          name: '湖州',
          android: {key: 'LufRefWS6zIYF45zH1ONxIEUqCbJCJ-U'},
          ios: {key: '76c32d9f99f411b3624c81ac94fadd0d4078b6f873850295502d70eef7f75243', uin: '425781025'},
        },
        {
          name: '衢州',
          android: {key: 'hsdQWVZTRNoO-sUGw0z8i2NhTgHtAAvU'},
          ios: {key: '0478ece0536a10a822b3e595024e4bb2279a5d0242109d191c8eec42c56c2432', uin: '439172246'},
        },
        {
          name: '丽水',
          android: {key: 'YefqSkf_M9z6IVn5IoIq8cTJpwz7Sk36'},
          ios: {key: '61400260f8d1e354369be638dbadd0133b03f5cf996ebb85f0cf276e6e3e797b', uin: '438797858'},
        },
        {
          name: '金华',
          android: {key: '6vq3hcRq2awABeAYQABQP9YXlLhZJBR9'},
          ios: {key: '62e17cc4b3fef39ca5ff8103083daba306f9c7ddcecb5bf60f4c08b63f7ad48f', uin: '431276962'},
        },
        {
          name: '嘉兴',
          android: {key: 'hRoMX77nav9_ZcfnYKhfwjHmQeZ3GUPK'},
          ios: {key: '8a88342ccfc54950239aea8fe22c6e5b997957c6a130562deadc24a5ed5ef4de', uin: '425426757'},
        },
        {
          name: '舟山',
          android: {key: 'zEM_Kd07dbH9KA7QBr_Z65wIzFfrrRXS'},
          ios: {key: '4e05db09c399ba95304f96c0cbc460205decbe0a3b095e395777209deb2e7611', uin: '460216186'},
        },
        {
          name: '绍兴',
          android: {key: 'r-VvIK3TWE65wWWdrz0oeOhHOURRdB0B'},
          ios: {key: '9aa9c9a6e42928d2822d87c55543a3d66aa8387364c41098f19de6522ce1c83b', uin: '289118316'},
        },
        {
          name: '其它',
          android: {key: 'QlwHEulV4l8uY9AYm10kkatdeeafw36x'},
          ios: {key: '3378b8bcfe369dd13a499d0e8cdd6c733d38b07a204594d7a97a472444af58ce', uin: '99788179'},
        },
      ];

      function openQQ(joinQQGroup) {

        if ($scope.joinQQGroup_lock) {
          openQQAction();
          return;
        }

        var confirmPopup = $ionicPopup.confirm({
          title: '请确认地区选择正确',
          template: '您将加入' + joinQQGroup.name + '科学交流群，选择后不可加入其他群，确定吗？',
          buttons: [
            {text: '取消'},
            {
              text: '<b>确定</b>',
              type: 'button-positive',
              onTap: function (e) {
                return true;
              }
            }
          ]
        });
        confirmPopup.then(function (res) {
          if (res) {
            openQQAction();
            $scope.joinQQGroup_lock = joinQQGroup;
          }
        });

        function openQQAction() {
          $ionicLoading.show({template: "正在打开...", duration: 3000});
          if (_app.isWeb) {
            // 方式一(唤醒PCQQ－适合电脑端)： http://jq.qq.com/?_wv=1027&k=2GxZBsK
            // 方式二(唤醒手机QQ－适合手机端)：http://shang.qq.com/wpa/qunwpa?idkey=4287dd81bb97e103a39c6dfc271af0c60b668a3fab2f05949fb4e6bd7566f8e4
            window.location.href = "http://shang.qq.com/wpa/qunwpa?idkey=" + joinQQGroup.ios.key;
          } else {
            // window.open("http://jq.qq.com/?_wv=1027&k=y-stNxKaFTfKNeDKRXdk9FXOKEpG22PG", "_system");// 依赖插件 cordova-plugin-in_appbrowser
            if (_app.isAndroid) {
              // JoinQQGroup.open({key:'y-stNxKaFTfKNeDKRXdk9FXOKEpG22PG'});
              JoinQQGroup.open({key: joinQQGroup.android.key});
            } else {
              //JoinQQGroup.open({uid:'498644453',key:'0160929211e558ce77c3c044c510920d80c91088c1d047e66b27f57b40e8ba66'});
              JoinQQGroup.open({uin: joinQQGroup.ios.uin, key: joinQQGroup.ios.key});
            }
          }

          localStorageService.set('joinQQGroup', joinQQGroup);
        }

      }
    }
  }

})();
