/**
 * Created by Administrator on 2016/1/8.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('SettingCtrl', SettingCtrl)
    .controller('AboutUsCtrl', AboutUsCtrl)

  /** 意见反馈 */
  /** @ngInject */
  function SettingCtrl($scope, $ionicActionSheet, $state, $ionicHistory, localStorageService, RouteData) {

    $scope.platformName = _config.platform.name;

    // $scope.isIos = window._app.isIos;
    // $scope.currentUser = window._appv.currentUser;

    $scope.showLogoutModal = function () {
      $ionicActionSheet.show({
        titleText: '退出后不会删除任何历史数据，下次登录依然可以使用本账号',
        destructiveText: '退出登录',
        cancelText: '取消',
        cancel: function () {

        },
        destructiveButtonClicked: function () {
          localStorageService.clearAll();
          _appv.currentUser = {userId: -1};
          _appv.token = null;
          $ionicHistory.clearCache();
          $ionicHistory.clearHistory();
          // RouteData = null;
          delete RouteData.oldUser;
          delete RouteData.myTrolley;
          // $state.go('home');
          $state.go('login');
          //$state.go('myBag');
        }
      });
    };

    // 导航-返回
    $scope.navBack = function () {
      //$state.go($stateParams.sourceState, $stateParams.sourceParams);// 哪里来,回那里去
      // $state.go('main.practice');// 哪里来,回那里去
      $ionicHistory.goBack();
    }

  }

  /** @ngInject */
  function AboutUsCtrl($scope, $cordovaAppVersion, $httpFactory, $ionicHistory) {

    $scope.platformName = _config.platform.name;
    $scope.platformCode = _config.platform.code;

    $scope.navBack = navBack;
    // 初始化系统配置
    var joinQQGroupJson;// = JSON.parse('{"android":{"key":"y-stNxKaFTfKNeDKRXdk9FXOKEpG22PG"},"ios":{"uid":"498644453","key":"0160929211e558ce77c3c044c510920d80c91088c1d047e66b27f57b40e8ba66"}}');
    $httpFactory.sys.sysConfig('joinQQGroup').then(function (response) {
      if (response.data.result == 0) {
        joinQQGroupJson = JSON.parse(response.data.object[0].value);
        $scope.uin = joinQQGroupJson.ios.uin;
      }
    });


    if (window._app.isWeb) return;
    $cordovaAppVersion.getVersionNumber().then(function (version) {
      $scope.appVersion = version;
    });

    function navBack() {
      $ionicHistory.goBack();
    }


  }


})();
