/**
 * Created by Administrator on 2016/1/8.
 */
(function () {
    'use strict';

    angular.module('starter')
        .controller('BindPassCtrl', MainController)

    /** 绑定手机 */
    function MainController($scope, md5, $ionicLoading, $httpFactory, $ionicHistory,RouteData) {
        console.log('into BindPassCtrl');

        $scope.data = {};
        $scope.toBindpass = toBindpass;//设置密码
        $scope.navBack = navBack;

        var sign;
        var currentUser = window._appv.currentUser;
        var InfoPhone= RouteData.InfoPhone;
        // var InfoPhone= {mobile: "15757176800", randomCode: "88"};

        function toBindpass() {
            var newPassword = $scope.data.newPassword;
            var newPasswordConfirm = $scope.data.newPasswordConfirm;
            if (!newPassword || RegExp("^[ ]+$").test(newPassword)) {
                $ionicLoading.show({template: '新密码不能为空'});
                return false;
            } else {
                if (!RegExp("^[0-9a-zA-Z]{6,12}$").test(newPassword)) {
                    $ionicLoading.show({template: '请输入6~12位的数字或字母'});
                    return false;
                }
            }

            if (newPasswordConfirm !== newPassword) {
                $ionicLoading.show({template: '新密码与确认密码要相同'});
                return false;
            }

            sign = md5.createHash(InfoPhone.mobile+InfoPhone.randomCode)

            $httpFactory.user.bindPass(currentUser.userId,InfoPhone.mobile, newPassword, newPasswordConfirm, currentUser.token, sign).then(function(res){
                if(0===res.data.result){
                    $ionicLoading.show({template: res.data.message});
                    $ionicHistory.goBack(-2);
                }else{
                    $ionicLoading.show({template: res.data.message});
                }

            })


        }

        function navBack(){
            $ionicHistory.goBack();
        }



    }

})();
