(function(){
  'use strict';

  angular
    .module('starter')
    .controller('SearchCtrl',MainCtrl);

  function MainCtrl($scope,$ionicHistory,$httpFactory,RouteData,$state){
    {
      $scope.navBack = navBack;
      $scope.search = search;
      $scope.data = {
        videoName:''
      };
      $scope.toVideoInfo = toVideoInfo;
    }

    function navBack(){
      $ionicHistory.goBack();
    }

    function search(){
      var data = {
        token : _appv.token,
        content : JSON.stringify({name:$scope.data.videoName?$scope.data.videoName:null})
      }
      $httpFactory.video.search(_appv.currentUser.userId,data).then(function(res){
        if(res.data.result == 0){
          $scope.videoList = res.data.object;
        }
      });
    }

    function toVideoInfo(video){
      RouteData.videoInfo = video;
      $state.go('menu.videoInfo');
    }
  }
})();
