(function () {
    'use strict';

    angular
        .module('starter')
        .controller('MyActivityCtrl', MyActivityCtrl);

    function MyActivityCtrl($scope, $state, $location, $ionicHistory,$ionicLoading,$httpFactory) {
        {
            $scope.activityInfo = activityInfo;
            $scope.navBack = navBack;
            var pageSize = _app.nomPagesize;
        }

        if (!window._appv.currentUser) {
            $state.go("login");// 未登录,去登录
            return;
        }

        $scope.isShow = _app.isWeb || _app.isIos;
        $scope.currentUser = window._appv.currentUser;
        new loadData($scope, function (pageNo) {
            //return UserService.getMessageList($scope.currentUser.userId, pageNo);
            return $httpFactory.activity.getList(pageSize,pageNo);
        }, $ionicLoading);


        /*打开网页*/
        function activityInfo(activity) {
            //活动已过期
            if(activity.status == 1){
              $ionicLoading.show({template:'活动已过期'});
              return;
            }
            //活动有效
            if (activity.webUrl) {
                //iabRef = window.open(activity.webUrl, '_blank', 'location=no');
                $state.go('menu.browser', {activity: activity});
            } else {
                $location.path('/menu/activity/' + activity.id);
            }
        }

        function navBack() {
            if ($ionicHistory.viewHistory().backView.url == '/welcome2') {
                $state.go("main.exp");
            } else {
                $ionicHistory.goBack();
            }
        }

        /*  new loadData($scope,function(pageNo){
         return UserService.getActivityLIst(10,pageNo);
         },warningForm)*/

    }

})
();
