/**
 * Created by Administrator on 2016/8/18 0018.
 */

(function(window) {
  'use strict';
  /************ 全局常量 *****************/
  window._app = {
    pageFinish: 1, //
    pageUserCenter: 2, //
    choose: ['A', 'B', 'C', 'D'],
    select: ['单选题', '单选题', '多选题'],

    isWeb: typeof cordova === 'undefined',
    isAndroid:
      !(typeof cordova === 'undefined') && cordova.platformId == 'android',
    isIos: !(typeof cordova === 'undefined') && cordova.platformId == 'ios',
    // isWeb: false,
    // isAndroid: false,
    // isIos: true,

    exp_free: 0, //免费
    exp_order_no: 1, //未买
    exp_order_yes: 2, //已订购
    product_free: 0, //免费
    product_order_no: 1, //未买
    product_order_yes: 2, //已订购
    bag_img: {
      七年级上册: '7a',
      七年级下册: '7b',
      八年级上册: '8a',
      八年级下册: '8b',
      九年级上册: '9a',
      九年级下册: '9b'
    },
    bookList: [
      {
        edition: '浙教版',
        gradeId: 13,
        gradeName: '七年级上册',
        id: 19,
        name: '七年级上册《科学》',
        subject: 1,
        subjectName: '科学',
        type: 1
      },
      {
        edition: '浙教版',
        gradeId: 14,
        gradeName: '七年级下册',
        id: 20,
        name: '七年级下册《科学》',
        subject: 1,
        subjectName: '科学',
        type: 1
      },
      {
        edition: '浙教版',
        gradeId: 15,
        gradeName: '八年级上册',
        id: 21,
        name: '八年级上册《科学》',
        subject: 1,
        subjectName: '科学',
        type: 1
      },
      {
        edition: '浙教版',
        gradeId: 16,
        gradeName: '八年级下册',
        id: 22,
        name: '八年级下册《科学》',
        subject: 1,
        subjectName: '科学',
        type: 1
      },
      {
        edition: '浙教版',
        gradeId: 17,
        gradeName: '九年级上册',
        id: 16,
        name: '九年级上册《科学》',
        subject: 1,
        subjectName: '科学',
        type: 1
      },
      {
        edition: '浙教版',
        gradeId: 18,
        gradeName: '九年级下册',
        id: 23,
        name: '九年级下册《科学》',
        subject: 1,
        subjectName: '科学',
        type: 1
      }
    ],
    activityType_invite: 2,
    activityType_userCenter: 3,
    mobile_code_reset_password: 1,
    mobile_code_mobile_binding: 2,
    /*用户反馈---错题类型*/
    questionError_answer: 1,
    questionError_question: 2,
    questionError_analysis: 3,
    questionError_other: 4,
    /*用户反馈---错题类型*/
    nomPagesize: 10,
    activity: '1,2,3,4,5,6,7,8', //活动类型
    chapter: 1,
    section: 2,
    payType_appStore: 1,
    payType_alipay: 2,
    payType_wechat: 3,
    payType_qq: 4,
    orderType_exp: 0,
    orderType_book: 1,
    orderType_video: 2,
    orderType_live: 3,
    shareType_wechat: 1,
    shareType_timeLine: 2,
    shareType_qq: 3,
    shareType_qzone: 4,
    routeLock: true
  };

  /***************全局变量***************************/
  window._appv = {
    currentUser: null, //用户信息
    token: null,
    bookGold: null, //金币数目
    lastPage: null //
  };

  window.ERROR = {
    notRequired: 'ng-invalid-required',
    nickName: '设置一个3~12个字符的用户名',
    loginPass: '请输入您的密码',
    errorLogin: '用户名或密码错误',
    mobile: '请输入正确的手机格式',
    code: '请输入验证码',
    password: '设置一个6~12个字符的密码',
    repassword: '两次输入的密码不相等',
    later: '请稍后再试喔~'
  };
})(window);
