/**
 * Created by  on 2016/11/7.
 */
angular.module('k12student.directives', [])
.directive('countDown', ['$interval', function ($interval) {
    return {
        restrict: 'E',
        templateUrl: 'app/templates/common/countDown.html',
        link: function (scope, iElement, iAttrs) {

            scope.$watch('data.canCount', function (newVal, oldVal) {
                //console.log('canCount-newVal:'+newVal+',canCount-oldVal:'+oldVal);
                if (newVal) {
                    if (iAttrs.timer == null) {
                        scope.data.timer = 60;
                    }
                    scope.data.isRunning = true;
                    //console.log(scope.data.timer);

                    var interval = $interval(function () {
                        scope.data.timer--;
                        //console.log(scope.data.timer);
                        if (scope.data.timer <= 0) {
                            $interval.cancel(interval);
                            scope.data.isRunning = false;
                            scope.data.canCount = false;
                        }
                    }, 1000);
                }
            });
        }
    };
}])
.directive('focusInput', ['$ionicScrollDelegate', '$window', '$timeout', '$ionicPosition', function ($ionicScrollDelegate, $window, $timeout, $ionicPosition) {
  return {
    restrict: 'A',
    scope: false,
    link: function ($scope, iElm, iAttrs, controller) {
      if (window._app.isAndroid) {
        iElm.on('focus', function () {
          var top = $ionicScrollDelegate.getScrollPosition().top;
          var eleTop = ($ionicPosition.offset(iElm).top) / 2
          var realTop = eleTop + top;
          $timeout(function () {
            if (!$scope.$last) {
              $ionicScrollDelegate.scrollTo(0,realTop);
            } else {
              try {
                var aim = angular.element(document).find('.scroll')
                aim.css('transform', 'translate3d(0px,' + '-' + realTop + 'px, 0px) scale(1)');
                $timeout(function () {
                  iElm[0].focus();
                  console.log(2);
                }, 100)
              } catch (e) {
              }
            }
          }, 500)
        })
      }
    }
  }
}])
.directive('onFinishRenderFilters', function ($timeout) {
  return {
    restrict: 'A',
    link: function (scope, element, attr) {
      if (scope.$last === true) {
        $timeout(function () {
          scope.$emit('ngRepeatFinished');
        });
      }
    }
  };
})

  //断网提示
.directive('networkError',function () {
  return{
    restrict : "EA",
    scope:{
      refresh :'&'
    },
    template:'<div class="page_networkError">' +
    '<div class="div_img">' +
    '<img class="img_center" src="img/networkError/1.png">' +
    '</div>' +
    '<div class="text">加载失败...</div>' +
    '<div>' +
    '<button class="button button-positive ws_button" ng-click="refresh()">刷新</button>' +
    '</div>' +
    '</div>'
  }
});

