/**
 * Created by Administrator on 2016/1/14.
 */
(function () {
    'use strict';

    angular.module('starter')
        .filter('w_filter_bag_img', BagImgFilter)//选择背景图片，主要用于书本显示
        .filter('w_filter_choose', ShooseFilter)//选项显示，主要用于A,B,C,D显示
        .filter('w_filter_select', SelectFilter)//主要用于题型的选择
        .filter("filter_trustUrl", trustUrl)
        .filter("begin_time", beginTime)
        .filter("stringKeyword", stringKeyword);

    function BagImgFilter() {
        return function (item) {
            return _app.bag_img[item];
        }
    }

  function ShooseFilter() {
    return function (number) {
      return _app.choose[number];
    }
  }

  function SelectFilter() {
    return function (item) {
      return _app.select[item];
    }
  }

  function trustUrl($sce) {
    return function (recordingUrl) {
      return $sce.trustAsResourceUrl(recordingUrl);
    };
  }

  function beginTime(){
      return function(beginTime){

      }
  }

    function stringKeyword($sce) {
        return function(text,keyword) {
            if (text && keyword) {
                var reg = new RegExp("(" + keyword + ")", "g");
                var newstr = text.replace(reg, "<font color=red>$1</font>");
                return $sce.trustAsHtml(newstr);
            }else{
              return $sce.trustAsHtml(text);
            }
        }
    }


})();

