(function(){
  'use strict';

  angular
    .module('starter')
    .factory('CheckInputUtil',MainFactory);

  function MainFactory($ionicLoading){
      var service = {
        mobile: function (mobile) {
          var mobileReg = new RegExp('^(0|86|17951)?(13[0-9]|15[0-9]|17[0-9]|18[0-9]|14[57])[0-9]{8}$');
          //var mobileReg = new RegExp('/^(0|86|17951)?(13[0-9]|15[012356789]|17[0678]|18[0-9]|14[57])[0-9]{8}$/');
          if (!(mobileReg.test(mobile))) {
            $ionicLoading.show({template: '手机号格式不正确'});
            return false;
          } else {
            return true;
          }
        }
      };

      return service;
  }
})();
