function loadData($scope,request,$ionicLoading){

  $scope.pageNo = 0;
  $scope.hasNextPage = true;
  $scope.dataList=[];
  $scope.emptyList = false;
  $scope.canLoadNew = false;

  var fetch = function(callback,reset){

    request((reset != null && reset == true) ? 1 : ++$scope.pageNo).then(function(res){
      var dataList = [];
      if(!!res.data.object){
        for(var i=0;i<res.data.object.length;i++){
          dataList.push(res.data.object[i]);
        }
        callback(dataList);
        $scope.canLoadNew = true;
      }else{
        $scope.emptyList = true;
        $scope.canLoadNew = false;
        $scope.hasNextPage = false;
      }

    },function(error){
       $ionicLoading.show({template: error.data});
      $scope.hasNextPage = false;
      $scope.canLoadNew = true;
    })
  }

  $scope.loadOlder = function(){
    fetch(function(olderData){
      if(olderData.length<window._app.nomPagesize){
        $scope.hasNextPage = false;
      }
      $scope.dataList = $scope.dataList.concat(olderData);
      $scope.emptyList = true;
      //存

      $scope.$broadcast('scroll.infiniteScrollComplete');
    });
  }

  $scope.loadNew = function(){
    fetch(function(newData){
      $scope.pageNo = 1;
      if(newData.length<window._app.nomPagesize){
        $scope.hasNextPage = false;
      }else{
        $scope.hasNextPage = true;
      }
      $scope.dataList = newData;
      $scope.$broadcast('scroll.refreshComplete');
    },true);
  }
  // $scope.loadNew = function(){
  //   fetch(function(newData){
  //     $scope.dataList = newData.concat($scope.dataList);
  //     $scope.$broadcast('scroll.refreshComplete');
  //   });
  // }
}
